Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452673 - Special Characters in Root password of kickstart fail
Summary: Special Characters in Root password of kickstart fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 510
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Steve Salevan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 13:28 UTC by Patrick Connelly
Modified: 2018-10-20 02:41 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 20:26:13 UTC


Attachments (Terms of Use)
Test script to compare satellite generated hash to openssl hash (deleted)
2008-06-24 13:28 UTC, Patrick Connelly
no flags Details

Description Patrick Connelly 2008-06-24 13:28:40 UTC
Description of problem:
When adding any of the following characters to the root password of a kickstart,
the md5 hash is generated incorrectly.

< > ( ) { }

Version-Release number of selected component (if applicable):
rhns-server-5.1.0-57

How reproducible:
Everytime


Steps to Reproduce:
1. Set root password in kickstart to contain any of the above characters
2. Kickstart machine
3. Try to login as root
4. Look at rootpw line in kickstart
5. Verify output with openssl

echo "password" | openssl passwd -salt saltfromks -1 -stdin
  
Actual results:
Sets the incorrect root password

Expected results:
Sets the correct root password

Additional info:
When editing the kickstart's password, the number of "dots" will drop on the
"Verify New Root Password" box if one of the password characters fails.

Attached script will show the hash from the satellite, as well as the "correct" hash

Comment 1 Patrick Connelly 2008-06-24 13:28:40 UTC
Created attachment 310140 [details]
Test script to compare satellite generated hash to openssl hash

Comment 2 Patrick Connelly 2008-06-24 14:10:05 UTC
After a little more digging, it appears that the WebUI completely ignores the
character and sets the password as if it was not entered.

IE.  A password of 'aaaa(' is stored and hashed as if it was 'aaaa'

Comment 6 Partha Aji 2008-07-23 23:50:05 UTC
Fixed the form and the action to makesure password doesnot get scrubbed..

Comment 10 Steve Salevan 2009-02-13 15:48:30 UTC
Hash shown to be correct on 530-re20090206.1 and machine successfully kickstarted with password of '<>(){}'; moving to VERIFIED.

Comment 11 Sayli Karmarkar 2009-07-31 20:38:01 UTC
Kickstarted with "<({sayli})>" as passwd successfully.

Comment 12 Brandon Perkins 2009-09-10 20:26:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.